Parse command line arguments in common.sh
[ext/instance-debootstrap.git] / export
diff --git a/export b/export
index 31fc235..ff1b3c1 100755 (executable)
--- a/export
+++ b/export
 
 set -e
 
-TEMP=`getopt -o i:b: -n '$0' -- "$@"`
-
-if [ $? != 0 ] ; then echo "Terminating..." >&2 ; exit 1 ; fi
-
-# Note the quotes around `$TEMP': they are essential!
-eval set -- "$TEMP"
-
-while true; do 
-       case "$1" in
-               -i) instance="$2"; shift 2;;
-
-               -b) blockdev="$2"; shift 2;;
-
-               --) shift; break;;
-
-               *)  echo "Internal error!"; exit 1;;
-       esac
-done
-if [ -z "$blockdev" ]; then
-       echo "Missing -b argument!"
-       exit 1
-fi
+. common.sh
 
 dump -0 -q -f - "$blockdev"